aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorHugo Hörnquist <hugo@lysator.liu.se>2020-08-18 23:46:44 +0200
committerHugo Hörnquist <hugo@lysator.liu.se>2020-08-18 23:46:44 +0200
commitfc6835d9a15a971492d65dfdf72502bc2ee32bf8 (patch)
tree4c94c2fd1a3eab3728beadd81ffd0f7f225ccf68 /scripts
parentBump version. (diff)
downloadcalp-fc6835d9a15a971492d65dfdf72502bc2ee32bf8.tar.gz
calp-fc6835d9a15a971492d65dfdf72502bc2ee32bf8.tar.xz
Add script for setting version.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/set-version9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/set-version b/scripts/set-version
new file mode 100755
index 00000000..6f9d694c
--- /dev/null
+++ b/scripts/set-version
@@ -0,0 +1,9 @@
+#!/bin/bash
+if [ $# -eq 0 ]; then
+ echo "Usage: $0 version" > /dev/stderr
+ exit 1
+fi
+
+VERSION=$1
+sed -i "s/^pkgver=.*/pkgver=$VERSION/" system/PKGBUILD
+sed -i "s/^(define-public version.*/(define-public version \"$VERSION\")/" module/calp.scm